%define name python-twisted-names
%define version 12.2.0
%define rel 2
%define mainver %(echo %{version} | sed -e 's/\\([0-9]*\\.[0-9]*\\)\\.[0-9]*/\\1/')

Summary:        An DNS protocol implementation with client and server
Name:           %{name}
Version:	%{version}
Release:	%mkrel %{rel}
Source0:        http://twistedmatrix.com/Releases/Names/%{mainver}/TwistedNames-%{version}.tar.bz2
License:        MIT
Group:          Development/Python
URL:            http://twistedmatrix.com/trac/wiki/TwistedNames
BuildRoot:      %{_tmppath}/%{name}-buildroot
BuildRequires:	python-devel python-twisted-core
Requires:       python-twisted-core

%description
Twisted Names is both a domain name server as well as a client resolver
library.

Twisted Names comes with an "out of the box" nameserver which can read most
BIND-syntax zone files as well as a simple Python-based configuration format.
Twisted Names can act as an authoritative server, perform zone transfers from
a master to act as a secondary, act as a caching nameserver, or any combination
of these.

Twisted Names' client resolver library provides functions to query for all
commonly used record types as well as a replacement for the blocking
gethostbyname() function provided by the Python stdlib socket module.

%prep
%setup -q -n TwistedNames-%version

%build
%__python setup.py build

%install
%__rm -rf %{buildroot}
%__python setup.py install --root=%{buildroot} --install-purelib=%{py_platsitedir}

%clean
%__rm -rf %{buildroot}

%files
%defattr(0644,root,root,0755)
%doc LICENSE README doc/*
%dir %py_platsitedir/twisted/names
%py_platsitedir/twisted/names/*
%py_platsitedir/twisted/plugins/*
%py_platsitedir/*.egg-info


%changelog

* Sun Jan 13 2013 umeabot <umeabot> 12.2.0-2.mga3
+ Revision: 379612
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Sep 20 2012 philippem <philippem> 12.2.0-1.mga3
+ Revision: 296380
- Update to 12.2.0

* Wed Nov 23 2011 philippem <philippem> 11.1.0-1.mga2
+ Revision: 171295
- Update to 11.1.0

* Sun Jun 19 2011 kharec <kharec> 11.0.0-1.mga2
+ Revision: 109969
- New version 11.0.0

* Mon Feb 21 2011 ahmad <ahmad> 10.2.0-1.mga1
+ Revision: 55797
- update to 10.2.0

* Sun Jan 23 2011 ennael <ennael> 10.1.0-2.mga1
+ Revision: 34785
- imported package python-twisted-names

